.mainmenu ul{
    list-style: none;
    font-family: "Anek Devanagari", sans-serif;
    font-weight: 550;
    font-size: 15px;    
    margin: 0;
    padding: 0;
    text-transform: uppercase;
}
.menu {
    display: flex;
    flex-wrap: wrap;
}

.menu li {
    margin-right: 25px;
}

@media only screen and (min-width: 1024px) {
    .menu {
        display: flex !important;
    }

    .menu .megamenu>a:after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        top: 100%;
        height: 28px;
        display: none;
    }

    .menu .megamenu>a:hover:after {
        display: block;
    }

    .menu li .submenu {
        transition: 350ms all;
    }

    .menu li:hover>.submenu {
        transform: translateY(0);
        opacity: 1;
        visibility: visible;
    }

    .menu > li > a {
        padding: 47px 0px;
    }
    .menu > li > a:hover {
        color: var(--bs-secondary);
    }
    .menu li.megamenu>a {
        
        position: relative;
    }


    .menu li i.megamenu>a:before {
        content: "";
        position: absolute;
        right: 2;
        top: 50px;
        height: 6px;
        width: 6px;
        border-right: 2px solid #001657;
        border-bottom: 2px solid #001657;
        transform: rotate(45deg);
    }

    .menu li .submenu {
        position: absolute;
        top: 100%;
        transform: translateY(50px);
        opacity: 0;
        width: 300px;
        visibility: hidden;
                
    }

    .link.active {
        color: var(--bs-secondary);
    }

    .menu li .submenu li {
        margin-right: 0;
        font-size: 15px;
        position: relative;
        
    }

    .menu li .submenu li a {
        padding: 10px 20px;
        color: var(--bs-primary);
        background: var(--bs-light);
        display: block;
    }

    .menu li .submenu li a:before {
        right: 15px;
        transform: rotate(-45deg);
    }

    .menu li .submenu li a:hover {
        background: var(--bs-primary);
        color: var(--bs-light);
    }

    .menu li .submenu .submenu {
        position: absolute;
        left: 100%;
        top: 0;
        width: 300px;
        max-width: 100%;
    }
}

@media only screen and (max-width: 1023px) {
    
    .navbar-nav{
        position: relative;
    }
    .mobile-menu {
        position: relative;
        left: 0;
        right: 0;
        top: 100%;
        overflow: hidden;
    }

    .mobile-menu ul {
        transition: 350ms all;
        display: block;
    }

    .mobile-menu li {
        margin: 0;
        border-bottom: 1px solid #404040;
        font-size: 15px;
    }

    .mobile-menu li a {
        display: block;
        position: relative;
        padding: 15px 20px;
    }

    .mobile-menu li a:hover {
        color: var(--bs-primary);
    }

    .mobile-menu li a .navtrigger {
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        width: 30px;
        background: #001659;
        border: 1px solid #021d6b;
    }

    .mobile-menu li a .navtrigger:before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        height: 8px;
        width: 8px;
        border-right: 2px solid #ffffff;
        border-bottom: 2px solid #ffffff;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .mobile-menu li .submenu {
        position: absolute;
        top: 0;
        left: 100%;
        width: 100%;
        background: #f2f3f5;
        height: auto;
        transition: 350ms all;
        z-index: 1;
    }

    .mobile-menu li .submenu li {
        font-size: 14px;
        
    }

    .mobile-menu li .submenu .backmenu-row {
        position: relative;
        padding: 20px;
        padding-left: 50px;
        font-size: 15px;
    }

    .mobile-menu li .submenu .backmenu-row .back-trigger {
        padding: 0;
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        width: 30px;
        display: block;
        background: #001659;
        border: 1px solid #021d6b;
    }

    .mobile-menu li .submenu .backmenu-row .back-trigger:before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        height: 8px;
        width: 8px;
        border-right: 2px solid #ffffff;
        border-bottom: 2px solid #ffffff;
        transform: translate(-50%, -50%) rotate(135deg);
    }

    .mobile-menu li .submenu .backmenu-row em {
        font-style: normal;
        color: #001659;
    }

    .mobile-menu li.sub-open>.submenu {
        left: 0;
    }
}